package com.ims.eval.api;

import com.ims.eval.entity.dto.result.R;
import com.ims.eval.service.IEvaluationPortalService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Calendar;
import java.util.HashMap;
import java.util.Map;

/**
 * @author hlf
 * @date 2023/7/12 10:58
 * 文件说明：
 */
@Slf4j
@RestController
@RequestMapping("//evaluation-app-home")
public class HomeController {

	@Autowired
	private IEvaluationPortalService portalService;

	@GetMapping(value = "list")
	public R listAll(String binSection, String year, String season) {
		Map<String, Object> map = new HashMap<>();
		Calendar date = Calendar.getInstance();
		try{
			/*List<Map<String, Object>> yearList = baseMapper.selectPortalList(binSection, date.get(Calendar.YEAR) == Integer.valueOf(year) ? String.valueOf(Integer.valueOf(year) - 1) : year, null);
			List<Map<String, Object>> seasonList = baseMapper.selectPortalList(binSection, year, season);
			Map<Object, List<Map<String, Object>>> yearMap = yearList.stream().collect(Collectors.groupingBy(e -> e.get("bin_section"), Collectors.toList()));
			Map<Object, List<Map<String, Object>>> seasonMap = seasonList.stream().collect(Collectors.groupingBy(e -> e.get("bin_section"), Collectors.toList()));
			map.put("year", yearMap);
			map.put("season", seasonMap);*/
		} catch (Exception e){
			log.error(e.getMessage());
		}
		Map<String, Object> data = portalService.getPortalData(binSection, year, season);
		return R.ok().data(data);
	}

}
